.. _vim.fault.VmToolsUpgradeFault: ../../vim/fault/VmToolsUpgradeFault.rst


vim.fault.ToolsImageCopyFailed
==============================
    :extends:

        `vim.fault.VmToolsUpgradeFault`_

  Thrown when the tools image couldn't be copied to the guest operating system: disk out of space, file access error, etc.

Attributes:




